from ..pexpectation import Expectation, ExpectationCollection
from .eolebase_instance_pexpectations import expectations as eolebase_expectations

expectations = ExpectationCollection()

exp1 = Expectation("""#############################################################################
# Initialisation du mot de passe de l'administrateur de base (admin_zephir) #
#############################################################################
Mot de passe :""", response='eole', name='admin_zephir_password')

exp1_1 = Expectation("""Confirmation du mot de passe :""", response='eole', name='admin_zephir_password')
exp1.set_next_expectation(exp1_1)
expectations.add_expectation(exp1)

exp2 = Expectation("""Vous pouvez maintenant créer des utilisateurs si vous le souhaitez
Attribuez leur des droits sur l'application via l'interface web

nom d'utilisateur a créer (rien pour terminer) : """, response='admin', name='other_zephir_account')

exp2_1 = Expectation("""Mot de passe du nouvel utilisateur  : """, response='eole', name='other_zephir_account_password')
exp2_2 = Expectation("""Saisissez à nouveau le mot de passe : """, response='eole', name='other_zephir_account_password')
exp2_3 = Expectation("""nom d'utilisateur a créer (rien pour terminer) : """, response='', name='empty_zephir_account')

exp2_2.set_next_expectation(exp2_3)
exp2_1.set_next_expectation(exp2_2)
exp2.set_next_expectation(exp2_1)
expectations.add_expectation(exp2)

expectations.add_expectation_from_descr("""* Vérification des données (md5) : Eole 2.6.1""")
expectations.add_expectation_from_descr("""* Vérification des données (md5) : Eole 2.6.2""")
expectations.add_expectation_from_descr("""* Vérification des données (md5) : Eole 2.7.0""")
expectations.add_expectation_from_descr("""* Vérification des données (md5) : Eole 2.7.1""")
expectations.add_expectation_from_descr("""* Vérification des données (md5) : Eole 2.7.2""")
expectations.add_expectation_from_descr("""* Vérification des données (md5) : Eole 2.8.0""")
expectations.add_expectation_from_descr("""Start Systemd services""")

expectations.merge(eolebase_expectations)
