from ..pexpectation import Expectation, ExpectationCollection

expectations = ExpectationCollection()
exp3 = Expectation("""######################################################
# Changement du mot de passe pour l’utilisateur root #
######################################################
Nouveau mot de passe:""", response='eole', name='root_password')
exp3_1 = Expectation("""Confirmation du mot de passe:""", response='eole', name='root_password')

exp3.set_next_expectation(exp3_1)
expectations.add_expectation(exp3)

exp4 = Expectation("""######################################################  
# Changement du mot de passe pour l’utilisateur eole #  
######################################################
Nouveau mot de passe:""", response='eole', name='eole_password')
exp4_1 = Expectation("""Confirmation du mot de passe:""", response='eole', name='eole_password')
exp4_2 = Expectation("""Créer un nouvel administrateur eole2 ? [oui/non]
[non] :""", response='')

exp4.set_next_expectation(exp4_1)
exp4_1.set_next_expectation(exp4_2)
expectations.add_expectation(exp4)

exp5 = Expectation("""Une mise à jour est recommandée
Voulez-vous effectuer une mise à jour via le réseau maintenant ? [oui/non]
[oui] :""", response='non', name='maj_fin_instance')

expectations.add_expectation(exp5)

